-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009 - 2019 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

local _M = loadPrevious(...)


talents_types_old = Birther.birth_descriptor_def.subclass.Adventurer.talents_types

Birther.birth_descriptor_def.subclass.Adventurer.talents_types = function(birth)
	tts = talents_types_old(birth)
	
	for k, v in pairs(tts) do
			v[2] = 0.3
	end
	
	return tts
end


Birther.birth_descriptor_def.subclass.Adventurer.copy_add = {
		unused_generics = 4,
		unused_talents = 5,
		unused_talents_types = 8,
	}
	

-- Birther.birth_descriptor_def.subclass.adventurer.


return _M

